import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import quadbase.reportdesigner.designer.QbReportDesigner;

public class RDWithDataRegistryERES extends Applet {
	static final long serialVersionUID = 1; 	
	public QbReportDesigner designer;

	public static void main(java.lang.String[] args) {

		try {

			RDWithDataRegistryERES doReport = new RDWithDataRegistryERES();
			doReport.doReportDesignerWithDataRegApplet(null);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void init()  {

		try {

			doReportDesignerWithDataRegApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void doReportDesignerWithDataRegApplet(Applet applet)  {
		// Connect to ERES Server
		QbReportDesigner.useServlet(true);
		QbReportDesigner.setServletRunner("http://localhost:8080");
		QbReportDesigner.setServletContext("ERES/servlet");
		
		// Use images from jar file
		QbReportDesigner.setUseSysResourceImages(true);
		
		// QbReportDesigner (component, name of XML file, true = start from Data Source Manager false = start from Create a new report or open existing report choice before going to Data Source Manager
		designer = new QbReportDesigner(applet, "DataRegistry/Sample.xml", true);

		designer.setVisible(true);

	}

}